%define upstream_name Dist-Zilla-Plugin-CheckSelfDependency
%define upstream_version 0.011

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Check if your distribution declares a dependency on itself
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
Check if your distribution declares a dependency on itself.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.11.0-5.mga8
+ Revision: 1494256
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.11.0-4.mga7
+ Revision: 1267507
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-3.mga6
+ Revision: 1026177
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 966787
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.11.0-1.mga6
+ Revision: 846842
- imported package perl-Dist-Zilla-Plugin-CheckSelfDependency

